package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 用户数据对象 sys_user_datasource
 * 
 * @author wenjy
 * @date 2023-07-03
 */
public class SysUserDatasource extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据ID */
    @Excel(name = "数据ID")
    private String datasourceId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private String userId;

    public void setDatasourceId(String datasourceId) 
    {
        this.datasourceId = datasourceId;
    }

    public String getDatasourceId() 
    {
        return datasourceId;
    }
    public void setUserId(String userId) 
    {
        this.userId = userId;
    }

    public String getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("datasourceId", getDatasourceId())
            .append("userId", getUserId())
            .toString();
    }
}
